#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    long long n, l, x;
    cin>>n>>l;
    bool nasao=false;
    for(int i=1; i<=n; i++)
    {
        cin>>x;
        if(x<=l)
        {
            nasao=true;
            cout<<i<<endl;
            break;
        }
    }
    if(!nasao)
        cout<<-1<<endl;
    return 0;
}